Update a DNA sequence
Update a DNA sequence
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
dna_sequence_id
Request
This endpoint expects an object.
aliases
Aliases to add to the DNA sequence
annotations
Annotations to create on the DNA sequence.
bases
Base pairs for the DNA sequence.
customFields
Custom fields to add to the DNA sequence. Every field should have its name as a key, mapping to an object with information about the value of the field.
entityRegistryId
fields
Fields to set on the DNA sequence. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderId
ID of the folder containing the DNA sequence.
isCircular
Whether the DNA sequence is circular or linear.
name
Name of the DNA sequence.
parts
primers
schemaId
ID of the DNA sequence's schema.
translations
Translations to create on the DNA sequence. Translations are specified by either a combination of 'start' and 'end' fields, or a list of regions. Both cannot be provided.
Response
OK
aliases
annotations
apiURL
The canonical url of the DNA Sequence in the API.
archiveRecord
bases
createdAt
creator
customFields
dnaAlignmentIds
API IDs of Nucleotide Alignments involving the RNA sequence
entityRegistryId
fields
folderId
id
isCircular
length
modifiedAt
name
parts
primers
registrationOrigin
registryId
schema
transcriptions
translations
url
The path of the web URL, omitting the tenant domain
webURL
Errors
400
Bad Request Error